





/* Button Color
*****************************************************************************************************/
@mixin ButtonDark($background, $percent: 10%) {
	background: $background;

	&:hover {
		background: darken($background, $percent);
	}
}


@mixin ButtonLight($background, $percent: 10%) {
	background: $background;

	&:hover {
		background: lighten($background, $percent);
	}
}


@mixin ButtonReverse($background, $color) {
	background: $background;
	color: $color;

	&:hover {
		background: $color;
		color: $background;
	}
}
/*********** Button Color ***********/





/* Placeholder
*****************************************************************************************************/
@mixin Placeholder($color: inherit) {

	&::-webkit-input-placeholder {
		color: $color;
	}

	&::-moz-placeholder {
		color: $color;
		opacity: 1;
	}

	&:-ms-input-placeholder {
		color: $color;
	}

	&:-moz-placeholder {
		color: $color;
		opacity: 1;
	}

	&::placeholder {
		color: $color;
		opacity: 1;
	}
}
/*********** Placeholder ***********/





/* Text Mask
*****************************************************************************************************/
@mixin TextMask($elemHeight, $maskHeight, $type: true, $maskColor: #fff) {
	@if $type {
		height: $elemHeight + px;
	}
	@else {
		max-height: $elemHeight + px;
	}
	position: relative;
	overflow: hidden;

	&::after {
		content: '';
		display: block;
		height: $maskHeight + px;
		position: absolute;
		left: 0;
		right: 0;
		@if $type {
			bottom: 0;
		}
		@else {
			top: ($elemHeight - $maskHeight) + px;
		}
		background: linear-gradient(to right, rgba($maskColor, 0.15), $maskColor);
	}
}
/*********** Text Mask ***********/





/* Animation
*****************************************************************************************************/
@mixin AnimationKey($name) {
	@keyframes #{$name} {
		@content;
	}
}
/*********** Animation ***********/





/* Position
*****************************************************************************************************/
@mixin Position($position: a, $top: null, $right: null, $bottom: null, $left: null, $margin: null) {
	@if $position == a {
		position: absolute;
	}
	@else if $position == f {
		position: fixed;
	}
	@else if $position == r {
		position: relative;
	}

	top: $top;
	right: $right;
	bottom: $bottom;
	left: $left;

	@if $margin {
		margin: auto;
	}
	@else {
		margin: $margin;
	}
}
/*********** Position ***********/





/* Fonts
*****************************************************************************************************/
@mixin Fonts($name, $path, $weight: null, $style: null) {
	@font-face {
		font-family: $name;
		src: url($path);
		font-weight: $weight;
		font-style: $style;
	}
}
/*********** Fonts ***********/


